Bug 230133 - devel/castellan: Update 0.5.0 => 0.18.0
Summary: devel/castellan: Update 0.5.0 => 0.18.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks: 232245
  Show dependency treegraph
 
Reported: 2018-07-29 04:34 UTC by Nathan
Modified: 2019-01-11 13:13 UTC (History)
3 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
Update (946 bytes, patch)
2018-07-29 04:34 UTC, Nathan
no flags Details | Diff
py-castellan-0.17.0.patch (2.88 KB, patch)
2018-10-14 12:52 UTC, Kai
freebsd_ports: maintainer-approval? (alexander.nusov)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-07-29 04:34:44 UTC
Created attachment 195576 [details]
Update
Comment 1 Nathan 2018-07-29 14:15:50 UTC
RelNote for this version is not shown, here is some changes in-between:

0.16.0¶
New Features¶

    Enhance the key manager to handle requests containing the special (all zeros) managed object ID associated with Cinder’s and Nova’s legacy ConfKeyManager. The purpose of this feature is to help users migrate from the ConfKeyManager to a modern key manager such as Barbican. The feature works by ensuring the ConfKeyManager’s all-zeros key ID continues to function when Barbican or Vault is the key manager.

0.15.0¶
New Features¶

    Added a new provider for Vault (https://www.vaultproject.io/)

0.13.0¶
Deprecation Notes¶

    Config option barbican/auth_endpoint is unnecessary and deprecated in favor of the more standard key_manager/auth_url.
Comment 2 Kai 2018-10-14 12:52:58 UTC
Created attachment 198130 [details]
py-castellan-0.17.0.patch

Hello,

attached is the patch that updates devel/py-castellan to 0.17.0 . This is the latest supported release for the OpenStack Queens release according to https://releases.openstack.org/queens/index.html#queens-castellan .

Changes by upstream:
- http://git.openstack.org/cgit/openstack/castellan/log/?h=stable/queens

Changes to the port:
- added LICENSE and LICENSE_FILE
- sorted variables a bit according to the PHB

QA:
~~~
- poudriere (10.4-, 11.2-RELEASE, 12.0-ALPHA9 amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK
Comment 3 commit-hook freebsd_committer 2019-01-11 13:13:26 UTC
A commit references this bug:

Author: miwi
Date: Fri Jan 11 13:13:23 UTC 2019
New revision: 489969
URL: https://svnweb.freebsd.org/changeset/ports/489969

Log:
  - Update to 0.17.0
  - Added LICENSE and LICENSE_FILE
  - Sorted variables a bit according to the PHB

  PR:		230133
  Submitted by:	freebsd_ports@k-worx.org, ndowens@yahoo.com
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/devel/py-castellan/Makefile
  head/devel/py-castellan/distinfo